/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "library.h"

/* This updates the labelString of the status widget,
   antiright_status_widget, which should be initialized to an XmLabel
   prior to calling this function.  */
void
antiright_status(char *status)
{
  if(antiright_status_widget != NULL)
	  antiright_label_string(antiright_status_widget, status);
}

void
antiright_status_callback(Widget parent, 
			  XtPointer client_data,
			  XtPointer call_data)
{
  antiright_status(client_data);
  parent=(Widget)NULL;
  call_data=(XtPointer)NULL;
}

Widget
antiright_create_status_bar(Widget parent_widget)
{
  ARCLARG;
  antiright_form_positions(ANTIRIGHT_NONE, 100, 0, 100);
  antiright_status_widget=antiright_label(parent_widget, "Status");
}
